package com.isu.gaswellwatch.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.isu.gaswellwatch.entity.Response;
import com.isu.gaswellwatch.service.RemindService;
import com.isu.gaswellwatch.service.SummaryService;
import com.isu.gaswellwatch.vo.RemindRecordVO;
import com.isu.gaswellwatch.vo.summary.PieSummaryVO;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@RestController
@RequestMapping("remind")
public class RemindController {


    @Resource
    private RemindService remindService;

    @GetMapping("/page")
    public Response<Page<RemindRecordVO>> page(@RequestParam(defaultValue = "1") Integer currentPage,
                                               @RequestParam(defaultValue = "10") Integer pageSize,
                                               @RequestParam(required = false) Long deviceId,
                                               @RequestParam(required = false) String startTime,
                                               @RequestParam(required = false) String endTime,
                                               @RequestParam(required = false) String gasWellName) {
        return Response.succeed(this.remindService.page(currentPage, pageSize, deviceId, startTime, endTime,gasWellName));
    }

}

