package com.isu.gaswellwatch.modbus.data;

import java.util.Map;

/**
 * 数据持久化处理器
 *
 * @author <a href="mailto:scwsl@foxmail.com">王仕龙</a>
 * 2024/11/23 11:53
 */
public interface PersistenceHandler {
    String KNPCV1_MODBUS_TYPE = "knpc";
    String ETC_MODBUS_TYPE = "etc";
    String SCSS_MODBUS_TYPE = "scss";

    String COMMAND_CACHE = "modbus:command:";
    String DEVICE_INFO_CACHE = "info:device:";
    String DEVICE_DATA_CACHE = "data:device:";
    String ONLINE_DEVICE_CACHE = "data:device:online";

    void createTable(String tableName, Long deviceId);

    Map<String, Map<String, Object>> insert(String tableName, String cacheKey);

}
