package com.isu.gaswellwatch.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.isu.gaswellwatch.dao.RemindDao;
import com.isu.gaswellwatch.dao.RoleMenuDao;
import com.isu.gaswellwatch.entity.RemindRecord;
import com.isu.gaswellwatch.entity.RemindSetting;
import com.isu.gaswellwatch.entity.RoleMenu;
import com.isu.gaswellwatch.service.RemindService;
import com.isu.gaswellwatch.service.RoleMenuService;
import com.isu.gaswellwatch.vo.RemindRecordVO;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service("remindService")
@Transactional(rollbackFor = Exception.class)
public class RemindServiceImpl extends ServiceImpl<RemindDao, RemindRecord> implements RemindService {

    @Resource
    private RemindDao remindDao;

    @Override
    public List<RemindSetting> getAllRemindSetting() {
        return remindDao.getAllRemindSetting();
    }

    @Override
    public Page<RemindRecordVO> page(Integer currentPage, Integer pageSize, Long deviceId, String startTime, String endTime,String gasWellName) {
        return remindDao.page(new Page<>(currentPage, pageSize), deviceId, startTime, endTime,gasWellName);
    }
}

